Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.message
Class MessageManager2Impl

    java.lang.Object
      hr.tis.mgw.client.common.AbstractManager2
          hr.tis.mgw.client.message.MessageManager2
              hr.tis.mgw.client.message.MessageManager2Impl

All Implemented Interfaces:
  org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort, hr.kapsch.wsdl.parlayx.v1_0.notification.NotificationExtensionPort, NotificationManagerReceiver, java.rmi.Remote, org.csapi.www.wsdl.parlayx.sms.v1_0.notification.SmsNotificationPort

public class MessageManager2Impl
extends MessageManager2
implements NotificationManagerReceiver

Implementation of `MessageManager2` that uses Axis SOAP library for communication with mGw Parlay X web services.

You have to specify Service URL to communicate with mGw Parlay X web services.

Specify username and password as default values when authenticating to mGw. If specified every method call that don't have username and password parameters will use them for authentication. If not specified exception will be thrown since authentication to mGw is required.

MessageManager2Impl is configured with URL of single mGw server and can communicate with single server.

Multiple MessageManager2Impl instances can be created in application, for instance if partner wants to communicate with multiple servers, hosted at different OPCOs.

Field Summary

Fields inherited from class hr.tis.mgw.client.message.MessageManager2
`REG_ID_ANY`

Constructor Summary
`MessageManager2Impl()`
`MessageManager2Impl(java.lang.String serviceURL)`
`MessageManager2Impl(java.lang.String serviceURL, java.lang.String username, java.lang.String password)`

Method Summary
`void` | `cancelMessageListenerRegistration(java.lang.String regId)` Cancel message listener defined with registration identifier.
`DeliveryStatusInfo[]` | `getMessageDeliveryStatus(MessageId mid)` Retrieve message delivery status information.
`DeliveryStatusInfo[]` | `getMessageDeliveryStatus(MessageId mid, java.lang.String username, java.lang.String password)` Retrieve message delivery status information.
`void` | `notifyLongSmsReception(java.lang.String registrationIdentifier, java.lang.String smsServiceActivationNumber, java.lang.String senderAddress, java.lang.String message, int sarMsgRefNum, int sarTotalSegments, int sarSegmentSeqNum)`
`void` | `notifyMessageReception(java.lang.String registrationIdentifier, org.csapi.www.schema.parlayx.mm.v1_0.MessageRef messageRef)`
`void` | `notifySmsReception(java.lang.String registrationIdentifier, java.lang.String smsServiceActivationNumber, org.csapi.www.schema.parlayx.common.v1_0.EndUserIdentifier senderAddress, java.lang.String message)`
`ReceivedMms[]` | `receiveMmsMessages(java.lang.String regId, Priority priority)` Receive MMS messages and delivery reports.
`ReceivedMms[]` | `receiveMmsMessages(java.lang.String regId, Priority priority, java.lang.String username, java.lang.String password)` Retrieve MMS messages.
`ReceivedSms[]` | `receiveSmsMessages(java.lang.String regId)` Retrieve SMS messages and delivery reports.
`ReceivedSms[]` | `receiveSmsMessages(java.lang.String regId, java.lang.String username, java.lang.String password)` Retrieve SMS messages.
`void` | `registerMessageListener(java.lang.String regId, MessageListener2 listener)` Register message listener defined with registration identifier to asynchronously accept incoming messages.
`void` | `registerMessageListener(java.lang.String regId, MessageListener2 listener, java.lang.String username, java.lang.String password)` Register message listener defined with registration identifier to asynchronously accept incoming messages.
`MessageId` | `sendMessage(Message message, java.lang.String[] dest, java.lang.String orig, Priority priority, Charging charging)` Send message from originator to array of destinations.
`MessageId` | `sendMessage(Message message, java.lang.String[] dest, java.lang.String orig, Priority priority, Charging charging, java.lang.String username, java.lang.String password)` Send message from originator to array of destinations.
`SendResult` | `sendMessageWithResult(Message message, java.lang.String[] dest, java.lang.String orig, Priority priority, Charging charging)` Send message from originator to array of destinations.
`SendResult` | `sendMessageWithResult(Message message, java.lang.String[] dest, java.lang.String orig, Priority priority, Charging charging, java.lang.String username, java.lang.String password)` Send message from originator to array of destinations.

Methods inherited from class hr.tis.mgw.client.common.AbstractManager2
`getPassword, getServerURL, getTimeout, getUsername, isThreadedListener, setPassword, setServerURL, setThreadedListener, setTimeout, setUsername`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageManager2Impl

    public MessageManager2Impl()

### MessageManager2Impl

    public MessageManager2Impl(java.lang.String serviceURL)

### MessageManager2Impl

    public MessageManager2Impl(java.lang.String serviceURL,
                               java.lang.String username,
                               java.lang.String password)

Method Detail

### getMessageDeliveryStatus

    public DeliveryStatusInfo[] getMessageDeliveryStatus(MessageId mid)
                                                  throws GatewayException

  Description copied from class: `MessageManager2`
  Retrieve message delivery status information. Use default username and password for authentication. Use `MessageId` obtained after sending message to retrieve delivery status information. To every address in destination array specified while sending message corresponds one delivery status information. The method throws generic `GatewayException` which is parent of specific `exceptions` for various reasons.

  Specified by:
    `getMessageDeliveryStatus` in class `MessageManager2`
  Parameters:
    `mid` - MessageId
  Returns:
    Array of DeliveryStatusInfo
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `MessageId`, `DeliveryStatusInfo`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### getMessageDeliveryStatus

    public DeliveryStatusInfo[] getMessageDeliveryStatus(MessageId mid,
                                                         java.lang.String username,
                                                         java.lang.String password)
                                                  throws GatewayException

  Description copied from class: `MessageManager2`
  Retrieve message delivery status information. Specify username and password for authentication. Use `MessageId` obtained after sending message to retrieve delivery status information. To every address in destination array specified while sending message corresponds one delivery status information. The method throws generic `GatewayException` which is parent of specific `exceptions` for various reasons.

  Specified by:
    `getMessageDeliveryStatus` in class `MessageManager2`
  Parameters:
    `mid` - MessageId
    `username` - Authentication username
    `password` - Authentication password
  Returns:
    Array of DeliveryStatusInfo
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `MessageId`, `DeliveryStatusInfo`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### receiveSmsMessages

    public ReceivedSms[] receiveSmsMessages(java.lang.String regId)
                                     throws GatewayException

  Description copied from class: `MessageManager2`
  Retrieve SMS messages and delivery reports. Use default username and password for authentication. Only messages that fulfill criteria specified by registration identifier will be retrieved. For valid registration identifier values contact your mGw administrator.

  Note that some of the messages might be delivery reports. Use `MessageHelper` to separate delivery reports from messages.

  Specified by:
    `receiveSmsMessages` in class `MessageManager2`
  Parameters:
    `regId` - registration identifier
  Returns:
    array of received SMS messages
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `MessageHelper`, `ReceivedSms`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### receiveSmsMessages

    public ReceivedSms[] receiveSmsMessages(java.lang.String regId,
                                            java.lang.String username,
                                            java.lang.String password)
                                     throws GatewayException

  Description copied from class: `MessageManager2`
  Retrieve SMS messages. Specify username and password for authentication. Only messages that fulfill criteria specified by registration identifier will be retrieved. For valid registration identifier values contact your mGw administrator.

  Note that some of the messages might be delivery reports. Use `MessageHelper` to separate delivery reports from messages.

  Specified by:
    `receiveSmsMessages` in class `MessageManager2`
  Parameters:
    `regId` - registration identifier
    `username` - authentication username
    `password` - authentication password
  Returns:
    array of received SMS messages
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `MessageHelper`, `ReceivedSms`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### receiveMmsMessages

    public ReceivedMms[] receiveMmsMessages(java.lang.String regId,
                                            Priority priority)
                                     throws GatewayException

  Description copied from class: `MessageManager2`
  Receive MMS messages and delivery reports. Client can use `MessageHelper` to separate delivery reports from messages.

  Specified by:
    `receiveMmsMessages` in class `MessageManager2`
  Parameters:
    `regId` - registration ID
    `priority` - message priority
  Returns:
    array of MMS messages (some of which might be delivery reports)
  Throws:
    `GatewayException`
  See Also:
    `MessageHelper`, `ReceivedMms`, `Priority`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### receiveMmsMessages

    public ReceivedMms[] receiveMmsMessages(java.lang.String regId,
                                            Priority priority,
                                            java.lang.String username,
                                            java.lang.String password)
                                     throws GatewayException

  Description copied from class: `MessageManager2`
  Retrieve MMS messages. Specify username and password for authentication. Only messages that fulfill criteria specified by registration identifier will be retrieved. For valid registration identifier values contact your mGw administrator. If priority is specified messages with same or higher priority than specified will be retrieved. Since priority is optional value if not specified it is the same as specifying LOW priority.

  Note that some of the messages might be delivery reports. Use `MessageHelper` to separate delivery reports from messages.

  Specified by:
    `receiveMmsMessages` in class `MessageManager2`
  Parameters:
    `regId` - registration identifier
    `priority` - message priority
    `username` - authentication username
    `password` - authentication password
  Returns:
    array of received MMS messages and delivery reports
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `MessageHelper`, `ReceivedMms`, `Priority`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### sendMessage

    public MessageId sendMessage(Message message,
                                 java.lang.String[] dest,
                                 java.lang.String orig,
                                 Priority priority,
                                 Charging charging)
                          throws GatewayException

  Description copied from class: `MessageManager2`
  Send message from originator to array of destinations. Use default username and password for authentication. `Priority` is used only for `MmsMessage` and ignored for all other message types. Method returns `MessageId` object which can be used to obtain message delivery information. To link charging with message sending use charging object returned after reserving currency. The method throws generic `GatewayException` which is parent of specific `exceptions` for various reasons.

  Specified by:
    `sendMessage` in class `MessageManager2`
  Parameters:
    `message` - Message object to send
    `dest` - Destination array addresses
    `orig` - Originator address
    `priority` - Priority of message
    `charging` - Charging
  Returns:
    MessageId
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `MessageId`, `Priority`, `ChargingManager2`, `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### sendMessage

    public MessageId sendMessage(Message message,
                                 java.lang.String[] dest,
                                 java.lang.String orig,
                                 Priority priority,
                                 Charging charging,
                                 java.lang.String username,
                                 java.lang.String password)
                          throws GatewayException

  Description copied from class: `MessageManager2`
  Send message from originator to array of destinations. Specify username and password for authentication. `Priority` is used only for `MmsMessage` and ignored for all other message types. Method returns `MessageId` object which can be used to obtain message delivery information. To link charging with message sending use charging object returned after reserving currency. The method throws generic `GatewayException` which is parent of specific `exceptions` for various reasons.

  Specified by:
    `sendMessage` in class `MessageManager2`
  Parameters:
    `message` - Message object to send
    `dest` - Destination array addresses
    `orig` - Originator address
    `priority` - Priority of message
    `charging` - Charging
    `username` - Authentication username
    `password` - Authentication password
  Returns:
    MessageId
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `MessageId`, `Priority`, `ChargingManager2`, `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### sendMessageWithResult

    public SendResult sendMessageWithResult(Message message,
                                            java.lang.String[] dest,
                                            java.lang.String orig,
                                            Priority priority,
                                            Charging charging)
                                     throws GatewayException

  Description copied from class: `MessageManager2`
  Send message from originator to array of destinations. Use default username and password for authentication. `Priority` is used only for `MmsMessage` and ignored for all other message types. Method returns `MessageId` object which can be used to obtain message delivery information. To link charging with message sending use charging object returned after reserving currency. The method throws generic `GatewayException` which is parent of specific `exceptions` for various reasons.

  This method uses a ParlayX extension interface and might not be available with some operators.

  Specified by:
    `sendMessageWithResult` in class `MessageManager2`
  Parameters:
    `message` - Message object to send
    `dest` - Destination array addresses
    `orig` - Originator address
    `priority` - Priority of message
    `charging` - Charging
  Returns:
    SendResult
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `SendResult`, `Priority`, `ChargingManager2`, `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### sendMessageWithResult

    public SendResult sendMessageWithResult(Message message,
                                            java.lang.String[] dest,
                                            java.lang.String orig,
                                            Priority priority,
                                            Charging charging,
                                            java.lang.String username,
                                            java.lang.String password)
                                     throws GatewayException

  Description copied from class: `MessageManager2`
  Send message from originator to array of destinations. Specify username and password for authentication. `Priority` is used only for `MmsMessage` and ignored for all other message types. Method returns `MessageId` object which can be used to obtain message delivery information. To link charging with message sending use charging object returned after reserving currency. The method throws generic `GatewayException` which is parent of specific `exceptions` for various reasons.

  This method uses a ParlayX extension interface and might not be available with some operators.

  Specified by:
    `sendMessageWithResult` in class `MessageManager2`
  Parameters:
    `message` - Message object to send
    `dest` - Destination array addresses
    `orig` - Originator address
    `priority` - Priority of message
    `charging` - Charging
    `username` - Authentication username
    `password` - Authentication password
  Returns:
    SendResult
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `SendResult`, `Priority`, `ChargingManager2`, `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### registerMessageListener

    public void registerMessageListener(java.lang.String regId,
                                        MessageListener2 listener)

  Description copied from class: `MessageManager2`
  Register message listener defined with registration identifier to asynchronously accept incoming messages. Use default username and password to retrieve MMS message parts. Implementation of MessageListener2 interface will receive sent messages. For possible registration identifier values sent by mGw contact your mGw administrator. To accept all registration identifiers sent by mGw in one message listener use REG_ID_ANY for registration identifier.

  For details about registration process and restrictions check `MessageListener2` description.

  Specified by:
    `registerMessageListener` in class `MessageManager2`
  Parameters:
    `regId` - Registration Identifier
    `listener` - Message listener accepting received messages
  See Also:
    `MessageListener2`

### registerMessageListener

    public void registerMessageListener(java.lang.String regId,
                                        MessageListener2 listener,
                                        java.lang.String username,
                                        java.lang.String password)

  Description copied from class: `MessageManager2`
  Register message listener defined with registration identifier to asynchronously accept incoming messages. Specify username and password to retrieve MMS message parts. Implementation of MessageListener2 interface will receive sent messages. For possible registration identifier values sent by mGw contact your mGw administrator. To accept all registration identifiers sent by mGw in one message listener use REG_ID_ANY for registration identifier.

  For details about registration process and restrictions check `MessageListener2` description.

  Specified by:
    `registerMessageListener` in class `MessageManager2`
  Parameters:
    `regId` - Registration Identifier
    `listener` - Message listener accepting received messages
    `username` - Authentication username
    `password` - Authentication password

### cancelMessageListenerRegistration

    public void cancelMessageListenerRegistration(java.lang.String regId)

  Description copied from class: `MessageManager2`
  Cancel message listener defined with registration identifier.

  Specified by:
    `cancelMessageListenerRegistration` in class `MessageManager2`
  Parameters:
    `regId` - Registration Identifier

### notifySmsReception

    public void notifySmsReception(java.lang.String registrationIdentifier,
                                   java.lang.String smsServiceActivationNumber,
                                   org.csapi.www.schema.parlayx.common.v1_0.EndUserIdentifier senderAddress,
                                   java.lang.String message)
                            throws java.rmi.RemoteException,
                                   org.csapi.www.wsdl.parlayx.sms.v1_0.notification.ApplicationException

  Specified by:
    `notifySmsReception` in interface `org.csapi.www.wsdl.parlayx.sms.v1_0.notification.SmsNotificationPort`
  Throws:
    `java.rmi.RemoteException`
    `org.csapi.www.wsdl.parlayx.sms.v1_0.notification.ApplicationException`

### notifyMessageReception

    public void notifyMessageReception(java.lang.String registrationIdentifier,
                                       org.csapi.www.schema.parlayx.mm.v1_0.MessageRef messageRef)
                                throws java.rmi.RemoteException,
                                       org.csapi.www.wsdl.parlayx.mm.v1_0.notification.ApplicationException

  Specified by:
    `notifyMessageReception` in interface `org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort`
  Throws:
    `java.rmi.RemoteException`
    `org.csapi.www.wsdl.parlayx.mm.v1_0.notification.ApplicationException`

### notifyLongSmsReception

    public void notifyLongSmsReception(java.lang.String registrationIdentifier,
                                       java.lang.String smsServiceActivationNumber,
                                       java.lang.String senderAddress,
                                       java.lang.String message,
                                       int sarMsgRefNum,
                                       int sarTotalSegments,
                                       int sarSegmentSeqNum)
                                throws java.rmi.RemoteException

  Specified by:
    `notifyLongSmsReception` in interface `hr.kapsch.wsdl.parlayx.v1_0.notification.NotificationExtensionPort`
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.